OpenVPN 3.4 Windows

has anybody managed to connect to htb with the recent openvpn connect 3.4 release?
Apparently they made the switch to openssl 3.0. I get certificate verify failed. THM doesn’t work
either. Any ideas?

[Jul 15, 2023, 21:24:28] Transport Error: OpenSSLContext::SSL::read_cleartext: BIO_read failed, cap=2640 status=-1: error:0A000086:SSL routines::certificate verify failed
⏎[Jul 15, 2023, 21:24:28] EVENT: DISCONNECTED ⏎[Jul 15, 2023, 21:24:28] EVENT: CERT_VERIFY_FAIL OpenSSLContext::SSL::read_cleartext: BIO_read failed, cap=2640 status=-1: error:0A000086:SSL routines::certificate verify failed⏎

you can downgrade security in advanced settings that seems to “fix” the issue for now.

It seems that some users are experiencing issues with connecting to Hack The Box (HTB) and TryHackMe (THM) using the recent OpenVPN Connect 3.4 release. The error message suggests a problem with certificate verification, which might be related to the switch to OpenSSL 3.0.

It seems like there may be compatibility issues with the recent OpenVPN Connect 3.4 release, possibly due to the switch to OpenSSL 3.0. Users are experiencing certificate verification failures when attempting to connect to platforms like Hack The Box (HTB) and TryHackMe (THM). This issue may stem from changes in how certificates are verified or handled by the updated OpenSSL version. Collaborating with the community, reaching out to the platform support teams, or consulting OpenVPN Connect’s documentation for troubleshooting guidance could help resolve the issue. #bodyflanges